install-usercss.css 7.6 KB

123456789101112131415161718192021222324252627282930313233343536373839404142434445464748495051525354555657585960616263646566676869707172737475767778798081828384858687888990919293949596979899100101102103104105106107108109110111112113114115116117118119120121122123124125126127128129130131132133134135136137138139140141142143144145146147148149150151152153154155156157158159160161162163164165166167168169170171172173174175176177178179180181182183184185186187188189190191192193194195196197198199200201202203204205206207208209210211212213214215216217218219220221222223224225226227228229230231232233234235236237238239240241242243244245246247248249250251252253254255256257258259260261262263264265266267268269270271272273274275276277278279280281282283284285286287288289290291292293294295296297298299300301302303304305306307308309310311312313314315316317318319320321322323324325326327328329330331332333334335336337338339340341342343344345346347348349350351352353354355356357358359360361362363364365366367368369370371372373374375376377378379380381382383384385386387388389390391392393394395396397398399400401402403404405406407408409410411412413414415416417418419
  1. body {
  2. margin: 0;
  3. font: 12px arial, sans-serif;
  4. background: white;
  5. }
  6. a {
  7. color: #000;
  8. transition: color .5s;
  9. text-decoration-skip: ink;
  10. }
  11. a:hover {
  12. color: #666;
  13. }
  14. img.icon,
  15. svg.icon {
  16. height: 1.4em;
  17. vertical-align: middle;
  18. }
  19. .container {
  20. display: flex;
  21. height: 100vh;
  22. align-items: stretch;
  23. }
  24. .main {
  25. display: flex;
  26. flex-direction: column;
  27. flex-grow: 1;
  28. }
  29. .header,
  30. .warnings {
  31. flex: 0 0 280px;
  32. box-sizing: border-box;
  33. padding: 15px;
  34. border-right: 1px dashed #aaa;
  35. box-shadow: 0 0 50px -18px black;
  36. overflow-wrap: break-word;
  37. overflow-y: auto;
  38. z-index: 100;
  39. }
  40. .header.meta-init-error {
  41. display: none;
  42. }
  43. .warnings {
  44. display: none;
  45. padding-bottom: 0;
  46. flex-basis: auto;
  47. background: #ffe2e2;
  48. border-right: none;
  49. border-bottom: 1px dashed #aaa;
  50. }
  51. .has-warnings .warnings {
  52. display: initial;
  53. }
  54. .warning {
  55. font-weight: bold;
  56. font-size: 125%;
  57. margin-bottom: 1em;
  58. }
  59. .warning pre {
  60. overflow-wrap: break-word;
  61. white-space: pre-wrap;
  62. margin: 1ex 0 0;
  63. font-weight: normal;
  64. font-size: 80%;
  65. }
  66. h1 {
  67. margin-top: 0;
  68. }
  69. h1 small {
  70. font-size: 0.6em;
  71. }
  72. .meta-version::before {
  73. content: " v";
  74. }
  75. .actions {
  76. margin-bottom: 1em;
  77. }
  78. .actions label {
  79. max-width: -moz-fit-content;
  80. max-width: fit-content;
  81. display: flex;
  82. align-items: center;
  83. margin: 0.5em 0;
  84. }
  85. .install {
  86. padding: 1ex 1em;
  87. font-weight: bold;
  88. margin-bottom: 1ex;
  89. }
  90. .actions label input {
  91. margin: 0 0.5em 0 0;
  92. flex: 0 0 auto;
  93. }
  94. .actions label span {
  95. min-width: 0;
  96. }
  97. .external {
  98. text-align: center;
  99. }
  100. .external > * {
  101. margin: 0 7.5px;
  102. }
  103. li {
  104. margin-left: -2em;
  105. }
  106. .main {
  107. overflow: hidden;
  108. }
  109. .main .CodeMirror {
  110. height: auto;
  111. border: none;
  112. }
  113. /* spinner-related */
  114. .header {
  115. position: relative;
  116. }
  117. .header:not(.meta-init) > *:not(.lds-spinner),
  118. .header.meta-init > .lds-spinner {
  119. -webkit-user-select: none;
  120. -moz-user-select: none;
  121. -ms-user-select: none;
  122. user-select: none;
  123. pointer-events: none;
  124. opacity: 0;
  125. }
  126. .header.meta-init > * {
  127. opacity: 1;
  128. transition: opacity .5s;
  129. -webkit-user-select: auto;
  130. -moz-user-select: auto;
  131. -ms-user-select: auto;
  132. user-select: auto;
  133. }
  134. /* spinner: https://github.com/loadingio/css-spinner */
  135. @keyframes lds-spinner {
  136. 0% {
  137. opacity: 1;
  138. }
  139. 100% {
  140. opacity: 0;
  141. }
  142. }
  143. @-webkit-keyframes lds-spinner {
  144. 0% {
  145. opacity: 1;
  146. }
  147. 100% {
  148. opacity: 0;
  149. }
  150. }
  151. .lds-spinner {
  152. position: absolute;
  153. width: 200px;
  154. height: 200px;
  155. top: 50px;
  156. left: 0;
  157. right: 0;
  158. margin: auto;
  159. opacity: .2;
  160. transition: opacity .5s;
  161. }
  162. .lds-spinner div {
  163. left: 94px;
  164. top: 23px;
  165. position: absolute;
  166. -webkit-animation: lds-spinner linear 1s infinite;
  167. animation: lds-spinner linear 1s infinite;
  168. background: currentColor;
  169. width: 12px;
  170. height: 34px;
  171. border-radius: 20%;
  172. -webkit-transform-origin: 6px 77px;
  173. transform-origin: 6px 77px;
  174. }
  175. .lds-spinner div:nth-child(1) {
  176. -webkit-transform: rotate(0deg);
  177. transform: rotate(0deg);
  178. -webkit-animation-delay: -0.916666666666667s;
  179. animation-delay: -0.916666666666667s;
  180. }
  181. .lds-spinner div:nth-child(2) {
  182. -webkit-transform: rotate(30deg);
  183. transform: rotate(30deg);
  184. -webkit-animation-delay: -0.833333333333333s;
  185. animation-delay: -0.833333333333333s;
  186. }
  187. .lds-spinner div:nth-child(3) {
  188. -webkit-transform: rotate(60deg);
  189. transform: rotate(60deg);
  190. -webkit-animation-delay: -0.75s;
  191. animation-delay: -0.75s;
  192. }
  193. .lds-spinner div:nth-child(4) {
  194. -webkit-transform: rotate(90deg);
  195. transform: rotate(90deg);
  196. -webkit-animation-delay: -0.666666666666667s;
  197. animation-delay: -0.666666666666667s;
  198. }
  199. .lds-spinner div:nth-child(5) {
  200. -webkit-transform: rotate(120deg);
  201. transform: rotate(120deg);
  202. -webkit-animation-delay: -0.583333333333333s;
  203. animation-delay: -0.583333333333333s;
  204. }
  205. .lds-spinner div:nth-child(6) {
  206. -webkit-transform: rotate(150deg);
  207. transform: rotate(150deg);
  208. -webkit-animation-delay: -0.5s;
  209. animation-delay: -0.5s;
  210. }
  211. .lds-spinner div:nth-child(7) {
  212. -webkit-transform: rotate(180deg);
  213. transform: rotate(180deg);
  214. -webkit-animation-delay: -0.416666666666667s;
  215. animation-delay: -0.416666666666667s;
  216. }
  217. .lds-spinner div:nth-child(8) {
  218. -webkit-transform: rotate(210deg);
  219. transform: rotate(210deg);
  220. -webkit-animation-delay: -0.333333333333333s;
  221. animation-delay: -0.333333333333333s;
  222. }
  223. .lds-spinner div:nth-child(9) {
  224. -webkit-transform: rotate(240deg);
  225. transform: rotate(240deg);
  226. -webkit-animation-delay: -0.25s;
  227. animation-delay: -0.25s;
  228. }
  229. .lds-spinner div:nth-child(10) {
  230. -webkit-transform: rotate(270deg);
  231. transform: rotate(270deg);
  232. -webkit-animation-delay: -0.166666666666667s;
  233. animation-delay: -0.166666666666667s;
  234. }
  235. .lds-spinner div:nth-child(11) {
  236. -webkit-transform: rotate(300deg);
  237. transform: rotate(300deg);
  238. -webkit-animation-delay: -0.083333333333333s;
  239. animation-delay: -0.083333333333333s;
  240. }
  241. .lds-spinner div:nth-child(12) {
  242. -webkit-transform: rotate(330deg);
  243. transform: rotate(330deg);
  244. -webkit-animation-delay: 0s;
  245. animation-delay: 0s;
  246. }
  247. /* https://github.com/lukehaas/css-loaders */
  248. /*
  249. .spinner {
  250. --color: currentColor;
  251. --background-color: currentColor;
  252. font-size: 10px;
  253. margin: 50px auto;
  254. text-indent: -9999em;
  255. width: 200px;
  256. height: 200px;
  257. border-radius: 50%;
  258. background: #ffffff;
  259. background: -moz-linear-gradient(left, #ffffff 10%, rgba(255, 255, 255, 0) 42%);
  260. background: -webkit-linear-gradient(left, #ffffff 10%, rgba(255, 255, 255, 0) 42%);
  261. background: -o-linear-gradient(left, #ffffff 10%, rgba(255, 255, 255, 0) 42%);
  262. background: -ms-linear-gradient(left, #ffffff 10%, rgba(255, 255, 255, 0) 42%);
  263. background: linear-gradient(to right, #ffffff 10%, rgba(255, 255, 255, 0) 42%);
  264. position: relative;
  265. -webkit-animation: load3 1.4s infinite linear;
  266. animation: load3 1.4s infinite linear;
  267. -webkit-transform: translateZ(0);
  268. -ms-transform: translateZ(0);
  269. transform: translateZ(0);
  270. }
  271. .spinner:before {
  272. width: 50%;
  273. height: 50%;
  274. background: #ffffff;
  275. border-radius: 100% 0 0 0;
  276. position: absolute;
  277. top: 0;
  278. left: 0;
  279. content: '';
  280. }
  281. .spinner:after {
  282. background: #0dc5c1;
  283. width: 75%;
  284. height: 75%;
  285. border-radius: 50%;
  286. content: '';
  287. margin: auto;
  288. position: absolute;
  289. top: 0;
  290. left: 0;
  291. bottom: 0;
  292. right: 0;
  293. }
  294. */
  295. @-webkit-keyframes load3 {
  296. 0% {
  297. -webkit-transform: rotate(0deg);
  298. transform: rotate(0deg);
  299. }
  300. 100% {
  301. -webkit-transform: rotate(360deg);
  302. transform: rotate(360deg);
  303. }
  304. }
  305. @keyframes load3 {
  306. 0% {
  307. -webkit-transform: rotate(0deg);
  308. transform: rotate(0deg);
  309. }
  310. 100% {
  311. -webkit-transform: rotate(360deg);
  312. transform: rotate(360deg);
  313. }
  314. }
  315. /************ reponsive layouts ************/
  316. @media (max-width:10in) {
  317. .container {
  318. flex-direction: column;
  319. }
  320. .header {
  321. flex-basis: auto;
  322. border-right: none;
  323. border-bottom: 1px dashed #AAA;
  324. max-height: 50%;
  325. overflow-x: auto;
  326. overflow-y: hidden;
  327. }
  328. .has-warnings .header {
  329. min-height: 4em;
  330. max-height: 20%;
  331. }
  332. .warnings {
  333. max-height: 20%;
  334. }
  335. .warning:not(:last-child) {
  336. border-bottom: 1px dashed #b57c7c;
  337. padding-bottom: 1em;
  338. }
  339. .header,
  340. .warning {
  341. -webkit-column-count: 3;
  342. -moz-column-count: 3;
  343. column-count: 3;
  344. }
  345. h1 {
  346. -webkit-column-span: all;
  347. column-span: all;
  348. margin-bottom: .5em;
  349. }
  350. .actions {
  351. display: flex;
  352. }
  353. .install {
  354. margin-right: 1em;
  355. }
  356. }
  357. @media (max-width:7in) {
  358. .header,
  359. .warning {
  360. -webkit-column-count: 2;
  361. -moz-column-count: 2;
  362. column-count: 2;
  363. }
  364. }
  365. @media (max-width:4in) {
  366. .header {
  367. overflow-x: hidden;
  368. overflow-y: auto;
  369. max-height: 100%;
  370. }
  371. .header,
  372. .warning {
  373. -webkit-column-count: 1;
  374. -moz-column-count: 1;
  375. column-count: 1;
  376. }
  377. .warning {
  378. border: none;
  379. padding-bottom: unset;
  380. }
  381. }